PHP-Scripte PHP-Tutorials PHP-Jobs und vieles mehr

PHP-Scripte PHP-Tutorials PHP-Jobs und vieles mehr (https://www.php-resource.de/forum/)
-   Fragen zu Installation & Konfiguration (LAMP, WAMP & Co.) (https://www.php-resource.de/forum/fragen-zu-installation-and-konfiguration-lamp-wamp-and-co/)
-   -   neu kompilieren von PHP unter suse 9.0. (https://www.php-resource.de/forum/fragen-zu-installation-and-konfiguration-lamp-wamp-and-co/51436-neu-kompilieren-von-php-unter-suse-9-0-a.html)

6aholic 04-03-2005 12:58

neu kompilieren von PHP unter suse 9.0.
 
hi!


ich habe eine linux suse 9.0 rechner zuhause um ein bisschen zu basteln.
nun will ich die gd einbinden. unter windoofs kein thema:
simikolon raus und es geht.
aber unter linux gehts nicht, ich denke hierzu muss ich php neu kompilieren.
ich hab leider keine ahnung- wie?

so far.
6aholic.

asp2php 04-03-2005 13:06

Re: neu kompilieren von PHP unter suse 9.0.
 
Zitat:

Original geschrieben von 6aholic
unter windoofs
wenn Linux so toll ist, warum kannste nicht damit umgehen?

*scnr*

Neubix 04-03-2005 13:27

es gibt unter suse doch vorkomplierte RPM's .. gehe mal in yast2 >sofware installieren updaten und suche mal nach php und nach GD .. da wirst du sicher das finden was du brauchst. ansonsten gibt es viele Suchmaschinen, in denen du rpm's suchen kannst ..

ob's dann sauber läuft weis ich nicht .. ich benutze Debain :-)

Gruß, Kai

maddog 04-03-2005 13:28

Schau mal unter www.faqs-online.net ich hoffe das hilft weiter.

6aholic 04-03-2005 14:00

...
 
ich danke euch [besonders den asp2php] für eure antworten!
[@sp2php wo steht dass ich linux beherrsche oder toll finde?! noch ne weitere assumption ... kein wunder, dass du soo viele beiträge hast :]


gd2 und freetype sind laut phpinfo() bereits installiert gewesen, da ich diese auch schon nutze...
nur komisch ist, dass
a) kein .gif support geht [evtl hatte ich den auch schonmal deaktiviert - weiß aber nicht mehr wo?!]
und
b) geht zb imagerotrate() nicht...


dies find ich doch ziemlich merkwürdig...
weiterhin hatte ich schon gesucht, allerdings keine aktuelle 2.0.33er rpm gefunden...

so far.
6aholic.

mrhappiness 04-03-2005 14:03

kein .gif support heißt, du kannst keine gifs erzeugenoder keine lesen?

was sagt denn
PHP-Code:

phpinfo(); 

zu gd?

asp2php 04-03-2005 14:03

Re: ...
 
Zitat:

Original geschrieben von 6aholic
ich danke euch [besonders den asp2php] für eure antworten!
[@sp2php wo steht dass ich linux beherrsche oder toll finde?! noch ne weitere assumption ... kein wunder, dass du soo viele beiträge hast :]

wenn du anstatt Windows, Windoofs sagst, gehe ich davon aus, dass du schon alles besser kannst, was MS anzubieten hast ... :dontknow:

6aholic 04-03-2005 14:24

...
 
@sp2php
wie gesagt, falsch angenommen ;)

phpinfo() sagt:
gd
GD Support enabled
GD Version 2.0 or higher
FreeType Support enabled
FreeType Linkage with freetype
JPG Support enabled
PNG Support enabled
WBMP Support enabled


.gif support gab es damals nicht, weil nach meinen informationen da eas mit patentrechten noch nicht klar war.
gd 2.0.33 laut boutell kann dies aber. [wie gesagt, keine rpm gefunden.]
siehe http://www.boutell.com/gd/

komisch ist wie gesagt immernoch, dass imagerotrate nicht geht, obwohl in der dokumentation lediglich steht "Anmerkung: Diese Funktion steht nur zur Verfügung, wenn PHP mit der GD Bibliothek übersetzt wurde, die mit PHP zusammen erhältlich ist.".
wie wir sehen, ist gd 2 installiert, vielleicht aber noch nicht mit php "übersetzt" worden?!

ich danke nochmal recht herzlich für die hilfen ;)

so far.
6aholic.

Indigo 04-03-2005 14:54

Re: ...
 
Zitat:

Original geschrieben von 6aholic
wie wir sehen, ist gd 2 installiert, vielleicht aber noch nicht mit php "übersetzt" worden?!
Code:

wget http://php.net/php-******.tar.gz2
tar -xfj *gz2
./configure --help |grep gd
./configure --gd-enable (??) weitere flags...


6aholic 04-03-2005 19:00

...
 
ja, dieses hab ich auch direkt schon gelesen...
allerdings wollte ich nicht ne neue version kompilieren, sondern die die ich habe einfach nochmal durchrattern lassen...
aber vielleicht macht das ya auch dein code so ähnlich...
in yedem falle hab ich sowas nun auch schon gelesen, denke aber nicht, dass ich direkt damit klar komme...

in der windows (extra um missverständnisse zu vermeiden)- version gehts doch auch einfach durch ent- /kommentieren der .ini?!

wenn du dir das zutraust, indigo, würde ich gern mit dir direkt mal (icq, nen chat, o.ä.) in kontakt treten...

so far.
6aholic.


Alle Zeitangaben in WEZ +2. Es ist jetzt 16:16 Uhr.

Powered by vBulletin® Version 3.8.2 (Deutsch)
Copyright ©2000 - 2022, Jelsoft Enterprises Ltd.
Search Engine Friendly URLs by vBSEO 3.3.0
[c] ebiz-consult GmbH & Co. KG